# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::ShaderNode::RenderStateInfo Struct Reference

`#include <ShaderNode.hpp>`

List of all members.

## Public Member Functions

| RenderStateInfo (RenderState *rs=NULL, EInheritance inheritance=IN_Propagate)

## Public Attributes

ref< RenderState > | mRenderState
EInheritance | mInheritance

## Detailed Description

Definition at line 58 of file ShaderNode.hpp.

## Constructor & Destructor Documentation

vl::ShaderNode::RenderStateInfo::RenderStateInfo | ( | RenderState * | rs = `NULL`,
|  | EInheritance | inheritance = `IN_Propagate`
| ) |  | `[inline]`

Definition at line 60 of file ShaderNode.hpp.

## Member Data Documentation

ref<RenderState> vl::ShaderNode::RenderStateInfo::mRenderState

Definition at line 62 of file ShaderNode.hpp.

EInheritance vl::ShaderNode::RenderStateInfo::mInheritance

Definition at line 63 of file ShaderNode.hpp.

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/ShaderNode.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.